Subject: Re: [NET]: Add netif_tx_lock

From: Roland Dreier <[email-masked]>
Date: Mon, 05 Jun 2006 22:04:34 -0700

David> Isn't the IPOIB driver LLTX and therefore the upper layers
    David> are not taking the xmit_lock?

Yeah, but I think that should be OK.  If I'm remembering the intention
of the code correctly, the reason xmit_lock is being taken there is
just to protect dev->mc_list -- and this is needed because ipoib has
to defer handling set_multicast_list to process context.  Am I right
in thinking that dev->xmit_lock still serializes mc_list operations,
even for LLTX drivers?

 - R.